Bug 81354 - Update security/amap 4.8 -> 5.0
Summary: Update security/amap 4.8 -> 5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-22 11:10 UTC by onatan
Modified: 2005-05-22 16:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description onatan 2005-05-22 11:10:02 UTC
Update to 5.0.

amap6 is a link to amap, since IPv6 support is now provided.

There is a new amap-library. It doesn't have installation facilities in amap's Makefile, so I provided my own. That's the addition of 3 include files, one library, and an extra text file.
PLIST_SUB is used to help pkg-plist changes.

The installation of man pages is now dependant on NO_INSTALL_MANPAGES being void. If I'm not that clever and INSTALL_MAN is void if NO_INSTALL_MANPAGES is non-void, then you can remove the .if. :)

The mini-webpage is now the home in pkg-descr.

The patches are lighter. 'uname -o' was changed to 'uname', so that's unneeded. The declaration of pcre_default_tables, in pcre-3.9/chartables.c is changed to reduce a warning.

Fix: 

http://www.sl0th.org/FreeBSD/amap-4.8-5.0.diff
How-To-Repeat: N/A
Comment 1 Jean-Yves Lefort freebsd_committer 2005-05-22 14:10:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 2 Jean-Yves Lefort freebsd_committer 2005-05-22 16:17:10 UTC
State Changed
From-To: open->closed

Committed, thanks! 

Notes: 
- NO_INSTALL_MANPAGES is not an user knob 
- I've fixed several parts of the port, see my commit message for details